cURL
curl --request POST \
--url https://api-v2.production.higg.org/api/v1/moduleshares/{assessmentType} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-developer-request-token: <api-key>' \
--data '
{
"from": 123,
"size": 123,
"assessmentIds": [
"<string>"
],
"shareStatus": [
"<string>"
],
"status": [
"<string>"
],
"version": "<string>",
"dctVersion": "<string>",
"reportingPeriodStart": 123,
"reportingPeriodEnd": 123,
"cafVersion": "<string>",
"slcpAssessmentId": "<string>",
"accountIds": [
"<string>"
],
"wildcardSearch": {
"accountName": "<string>",
"accountId": "<string>"
},
"country": "<string>",
"lastActivityDate": 123,
"actionsHistory": [
"<string>"
]
}
'import requests
url = "https://api-v2.production.higg.org/api/v1/moduleshares/{assessmentType}"
payload = {
"from": 123,
"size": 123,
"assessmentIds": ["<string>"],
"shareStatus": ["<string>"],
"status": ["<string>"],
"version": "<string>",
"dctVersion": "<string>",
"reportingPeriodStart": 123,
"reportingPeriodEnd": 123,
"cafVersion": "<string>",
"slcpAssessmentId": "<string>",
"accountIds": ["<string>"],
"wildcardSearch": {
"accountName": "<string>",
"accountId": "<string>"
},
"country": "<string>",
"lastActivityDate": 123,
"actionsHistory": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
from: 123,
size: 123,
assessmentIds: ['<string>'],
shareStatus: ['<string>'],
status: ['<string>'],
version: '<string>',
dctVersion: '<string>',
reportingPeriodStart: 123,
reportingPeriodEnd: 123,
cafVersion: '<string>',
slcpAssessmentId: '<string>',
accountIds: ['<string>'],
wildcardSearch: {accountName: '<string>', accountId: '<string>'},
country: '<string>',
lastActivityDate: 123,
actionsHistory: ['<string>']
})
};
fetch('https://api-v2.production.higg.org/api/v1/moduleshares/{assessmentType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": 123,
"size": 123,
"total": 123,
"assessments": [
{}
]
}Module Shares
Get Status of Shared Modules
POST
/
{assessmentType}
cURL
Path Parameters
Available options:
fem, fslm, brm, dct, one, ffc Body
application/json
Show child attributes
Show child attributes
⌘I

